> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Person ( STABLE )

> This endpoint will return detail of the person. When making a request to an API for a person's information, you typically need to provide a unique identifier UUID. The UUID is generated at the time of registration and is associated with the person's account.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /api/v3/people/{uuid}
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /api/v3/people/{uuid}:
    get:
      tags:
        - Users
        - Stable
      summary: Get Person ( STABLE )
      description: >-
        This endpoint will return detail of the person. When making a request to
        an API for a person's information, you typically need to provide a
        unique identifier UUID. The UUID is generated at the time of
        registration and is associated with the person's account.
      operationId: 47b283e94efa8d2a514c2c9ef98f6077
      parameters:
        - name: uuid
          in: path
          description: person UUID
          required: true
          schema:
            type: string
            format: uuid
            example: 7c41f6a2-a4b9-4df8-9225-2c1b7312042e
      responses:
        '200':
          description: The response returned from a successful call to get person.
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: ''
                  data:
                    properties:
                      person:
                        $ref: '#/components/schemas/V3PersonResponseObject'
                      bank_accounts:
                        type: array
                        items:
                          $ref: '#/components/schemas/V3BankAccountResponse'
                      relations:
                        type: object
                        oneOf:
                          - $ref: >-
                              #/components/schemas/V3MerchantRelationResponseObject
                          - $ref: >-
                              #/components/schemas/V3BusinessRelationResponseObject
                          - example: null
                    type: object
                  errors:
                    type: object
                    example: null
                    nullable: true
                  request_id:
                    type: string
                    format: uuid
                    example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
                type: object
        '400':
          description: 400 - Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/V3ErrorInvalidParameters400'
                  - $ref: '#/components/schemas/V3ErrorInvalidAcceptHeader400'
        '401':
          description: 401 - Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/V3ErrorInvalidToken401'
                  - $ref: '#/components/schemas/V3ErrorUnauthorized401'
        '403':
          description: 403 - Forbidden
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: >-
                      This person is not available as they have been scheduled
                      for deletion.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  request_id:
                    type: string
                    format: uuid
                    example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
                type: object
        '404':
          description: 404 - Not Found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: No person was found matching that UUID.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  request_id:
                    type: string
                    format: uuid
                    example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Something went wrong on our side. Please contact support.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  request_id:
                    type: string
                    format: uuid
                    example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    V3PersonResponseObject:
      properties:
        client_reference_id:
          type: string
          example: reference_12345
        status:
          type: string
          example: APPROVED
        uuid:
          type: string
          example: 7c41f6a2-a4b9-4df8-9225-2c1b7312042e
        payout_type:
          type: string
          example: batch
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Dew
        email:
          type: string
          example: john.doe@example.com
        phone:
          type: string
          example: '2457856490'
        address:
          $ref: '#/components/schemas/V3AddressObject'
        timestamps:
          $ref: '#/components/schemas/V3TimestampsObject'
      type: object
    V3BankAccountResponse:
      properties:
        aggregator_type:
          type: string
          example: manual
        uuid:
          type: string
          format: uuid
          example: 9b97f121-a449-4b52-9f36-6c55f18394d6
        is_default:
          type: boolean
          example: true
        account_number:
          type: string
          example: '********1234'
        routing_number:
          type: string
          example: '*****6789'
        account_name:
          type: string
          example: John Doe
        account_type:
          type: string
          example: checking
        timestamps:
          $ref: '#/components/schemas/V3TimestampsObject'
      type: object
    V3MerchantRelationResponseObject:
      properties:
        merchant:
          properties:
            uuid:
              type: string
              example: c6bcfbbb-98ff-4d8b-a8f5-1559c3dcb718
          type: object
      type: object
    V3BusinessRelationResponseObject:
      properties:
        business:
          properties:
            uuid:
              type: string
              example: a77dbb10-3686-4caf-9acd-52b3cc455db2
          type: object
      type: object
    V3ErrorInvalidParameters400:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Parameters Received
        data:
          type: string
          example: null
          nullable: true
        errors:
          type: string
          example: null
          nullable: true
        request_id:
          type: string
          format: uuid
          example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
      type: object
    V3ErrorInvalidAcceptHeader400:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid value provided for Accept header.
        data:
          type: object
          example: null
          nullable: true
        errors:
          type: object
          example: null
          nullable: true
        request_id:
          type: string
          format: uuid
          example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
      type: object
    V3ErrorInvalidToken401:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid token.
        data:
          type: object
          example: null
          nullable: true
        errors:
          type: object
          example: null
          nullable: true
        request_id:
          type: string
          format: uuid
          example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
      type: object
    V3ErrorUnauthorized401:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: This action is unauthorized.
        data:
          type: object
          example: null
          nullable: true
        errors:
          type: object
          example: null
          nullable: true
        request_id:
          type: string
          format: uuid
          example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
      type: object
    V3AddressObject:
      properties:
        line_1:
          type: string
          example: 10554 W Quarles Ave
        line_2:
          type: string
          example: Suite 123
          nullable: true
        city:
          type: string
          example: Littleton
        state:
          type: string
          example: CO
        zip:
          type: string
          example: '80127'
      type: object
    V3TimestampsObject:
      properties:
        created_at:
          type: string
          example: '2024-06-25 13:57:03'
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````